SystemOrganization addCategory: #ConfigurationOfExternal!

MetacelloBaseConfiguration subclass: #ConfigurationOfExternal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfExternal'!

!ConfigurationOfExternal commentStamp: 'dkh 5/4/2012 14:20' prior: 0!
**External**  is a sample dependent project for the [Sample project][1].

I'm used to specify the various versions of the **External** project on a dialect by dialect base. 

Basic branch structure:

```
 +-master            Common code, documentation and BaselineOfExternalProject
   +-gemstone     version of project for gemstone
   +-pharo            version of project for pharo
   +-squeak          version of project for squeak
 +-configuration  ConfigurationOfExternalProject working version
   +-release         ConfigurationOfExternalProject release version
```

[1]: https://github.com/dalehenrich/sample!

!ConfigurationOfExternal methodsFor: 'baselines' stamp: 'dkh 5/8/2012 18:05'!
baseline10: spec
    <version: '1.0-baseline'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'baseline'.
            spec repository: 'http://ss3.gemstone.com/ss/external'.
            spec
                package: 'External-Core';
                package: 'External-Tests' with: [ spec requires: 'External-Core' ];
                yourself.
            spec
                group: 'Core' with: #('External-Core');
                group: 'default' with: #('Core');
                group: 'Tests' with: #('External-Tests');
                yourself ]! !

!ConfigurationOfExternal methodsFor: 'symbolic versions' stamp: 'dkh 5/9/2012 09:42'!
bleedingEdge: spec
    <symbolicVersion: #'bleedingEdge'>
    spec for: #'common' version: 'default'! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 5/9/2012 09:43'!
default: spec
    <version: 'default' baselineOf: 'External'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'devalopment'.
            spec
                version: 'master';
                repository: 'github://dalehenrich/external/repository';
                yourself ]! !

!ConfigurationOfExternal methodsFor: 'symbolic versions' stamp: 'dkh 5/9/2012 09:41'!
stable: spec
    <symbolicVersion: #'stable'>
    spec for: #'common' version: '2.0'! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 5/8/2012 18:04'!
version10: spec
    <version: '1.0' imports: #('1.0-baseline')>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec
                package: 'External-Core' with: 'External-Core-dkh.5';
                package: 'External-Tests' with: 'External-Tests-dkh.2';
                yourself ]! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 5/9/2012 09:41'!
version20: spec
    <version: '2.0' baselineOf: 'External'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec
                version: '957492f31b77026d81dcb165c07c69b2ad897781';
                repository: 'github://dalehenrich/external/repository';
                yourself ]! !
